Subject: Re: new-style Cygwin symlinks, NTEmacs' dired mode, and ls-lisp.el
From: "Dr Francis J. Wright" <[email-masked]>
To: "Matt Swift" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 4 Jul 2002 23:28:04 +0100

From: "Matt Swift" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Wednesday, July 03, 2002 11:38 PM
Subject: new-style Cygwin symlinks, NTEmacs' dired mode, and ls-lisp.el

> Maybe this has already been done, but I have hacked ls-lisp.el so that
> it understands the new-style Cygwin symlinks (which seem like Windows
> shortcuts to Windows, but not to ls-lisp.el).  I have had to
> reverse-engineer and hack without a full understanding of shortcut
> headers.  Putting the following code in a startup .el file works for me
> with EmacsNT 20.7.  It causes Emacs to do two things after loading
> dired: load ls-lisp, then redefine one function defined in ls-lisp.el.
> My modifications are commented and labeled with "MSS".   I am sending
> this email because I think others may be interested in this code.
> Someone with full knowledge could make this code more efficient and
> address the question of robustness with odd file names and unusual
> symlink headers.

I also have some revisions to ls-lisp in progress, one of which is support
for Cygwin-generated shortcut files.  I want to test it a bit more before I
release it.  However, I will only support NT Emacs 21, and my new code will
not work with earlier versions.

Francis

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/